Subject: bug#76611: closed (Re: [External] : Re: bug#76611: 30.1; Elisp manual: Say what it means for a char to be printable)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 28 Feb 2025 18:57:02 +0000

Your bug report

#76611: 30.1; Elisp manual: Say what it means for a char to be printable

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76611: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76611
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [External] : Re: bug#76611: 30.1; Elisp manual: Say what it means for a char to be printable
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Feb 2025 20:56:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 28 Feb 2025 17:56:03 +0000
> 
> > I don't understand what you are trying to say here.  Is something
> > missing from the "Character Type" node of the ELisp manual and its
> > sub-nodes, wrt the read syntax of characters?
> 
> I had in mind just mentioning in the context of the
> doc about printable chars that what's printed can
> be read by the Lisp reader.
> 
> This is different from the read syntax of character
> objects: ?<CHAR>.  It's not about reading character
> objects as such.  It's about the reader's handling
> of printable chars.
> 
> (aref printable-chars ?^L) => nil (pretend it's ^L)
> 
> A Ctrl-L char isn't read by the reader, e.g. as part
> of a symbol name.
> 
> But now that I think about it, it would probably be
> more confusing than helpful, because to explain it
> would dig a new rabbit hole, to no good.
> 
> Feel free to close, if you haven't already.

Done now.

Subject: 30.1; Elisp manual: Say what it means for a char to be printable
From: Drew Adams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 27 Feb 2025 17:48:40 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

(elisp)`Character Properties' describes variable `printable-chars', but
it doesn't say what "printable" means in this context.  Please add
something about that.

Searching the manual elsewhere, we find only a mention in node `Usual
Display' of "printable ASCII characters" and non-printable ASCII control
characters".

But the printable chars, in general, are not limited to printable ASCII
control chars, so this mention doesn't help with understanding
`printable-chars'.

Please say what's meant by "printable" for `printable-chars'.

[ And I wonder if something shouldn't perhaps be added about (Lisp)
readability in this context.  Some things in Lisp have a print
representation but that can't be read by the Lisp reader.  I believe all
printable chars can be read by the reader.  It wouldn't hurt to mention
this. ]

In GNU Emacs 30.1 (build 2, x86_64-w64-mingw32) of 2025-02-20 built on
 AVALON
Windowing system distributor 'Microsoft Corp.', version 10.0.19045
System Description: Microsoft Windows 10 Pro (v10.0.2009.19045.5487)

Configured using:
 'configure --with-modules --without-dbus --with-native-compilation=aot
 --without-compress-install --with-tree-sitter CFLAGS=-O2
 prefix=/g/rel/emacs-30.1-rc1'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB

(NATIVE_COMP present but libgccjit not available)

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252